commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mt...@apache.org
Subject svn commit: r504987 - /jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c
Date Thu, 08 Feb 2007 18:16:25 GMT
Author: mturk
Date: Thu Feb  8 10:16:24 2007
New Revision: 504987

URL: http://svn.apache.org/viewvc?view=rev&rev=504987
Log:
Remove dependency of JNI 1.1 args. Java6 does not support that any more.

Modified:
    jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c

Modified: jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c
URL: http://svn.apache.org/viewvc/jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c?view=diff&rev=504987&r1=504986&r2=504987
==============================================================================
--- jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c (original)
+++ jakarta/commons/proper/daemon/trunk/src/native/nt/procrun/src/javajni.c Thu Feb  8 10:16:24
2007
@@ -26,7 +26,11 @@
 #endif
 
 #ifdef JNI_VERSION_1_4
+#ifdef JNI_VERSION_1_6
+#define JNI_VERSION_DEFAULT JNI_VERSION_1_6
+#else
 #define JNI_VERSION_DEFAULT JNI_VERSION_1_4
+#endif
 #else
 #define JNI_VERSION_DEFAULT JNI_VERSION_1_2
 #endif
@@ -315,7 +319,6 @@
                   DWORD dwSs)
 {
     LPAPXJAVAVM     lpJava;
-    JDK1_1InitArgs  vmArgs11;
     JavaVMInitArgs  vmArgs; 
     JavaVMOption    *lpJvmOptions;
     DWORD           i, nOptions, sOptions = 2;
@@ -348,22 +351,7 @@
     else {
         CHAR  iB[3][64];
         LPSTR szCp;
-        vmArgs11.version = JNI_VERSION_DEFAULT;
-        if (DYNLOAD_FPTR(JNI_GetDefaultJavaVMInitArgs)(&vmArgs11) != JNI_OK) {
-            /* fall back to version 1.2 */
-            if (JNI_VERSION_DEFAULT != JNI_VERSION_1_2) {
-                vmArgs11.version = JNI_VERSION_1_2;
-                if (DYNLOAD_FPTR(JNI_GetDefaultJavaVMInitArgs)(&vmArgs11) != JNI_OK)
-                    return FALSE;
-            }
-            else
-                return FALSE;
-        }
-        /* we need at least 1.2 JNI */
-        if ((lpJava->iVersion = vmArgs11.version) < JNI_VERSION_1_2) {
-            apxLogWrite(APXLOG_MARK_ERROR "Unsupported JNI version %d", vmArgs11.version);
-            return FALSE; 
-        }
+        lpJava->iVersion = JNI_VERSION_DEFAULT;
         if (dwMs)
             ++sOptions;
         if (dwMx)



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message